package com.heyu.api.data.entity.ip;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*ip表
* @author quyixiao
* @since 2025-03-04
*/

@Data
@TableName("ip_database")
public class IpDatabaseEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.ip.IpDatabaseEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                       // 
    public final static String is_delete = CLASS_NAME + "is_delete";          // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";      // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";      // 修改时间
    public final static String ip_ = CLASS_NAME + "ip";                       // ip地址
    public final static String remark_ = CLASS_NAME + "remark";               // 备注说明
    public final static String type_ = CLASS_NAME + "type";                   // ip类型 0：ipv4 1ipv6
    public final static String country_ = CLASS_NAME + "country";             // ip对应国家
    public final static String province_ = CLASS_NAME + "province";           // 省
    public final static String city_ = CLASS_NAME + "city";                   // 城市
    public final static String area_ = CLASS_NAME + "area";                   // 区域名称
    public final static String isp_ = CLASS_NAME + "isp";                     // 运营商名称
    public final static String lat_ = CLASS_NAME + "lat";                     // 经度
    public final static String lng_ = CLASS_NAME + "lng";                     // 纬度
    public final static String county_ = CLASS_NAME + "county";               // 县
    public final static String address_ = CLASS_NAME + "address";             // 详细地址
    public final static String from_type = CLASS_NAME + "from_type";          // 来源：0：第三方api请求获得 1：用户校正所得 2：自有更正
    public final static String from_user_id = CLASS_NAME + "from_user_id";    // 贡献用户id
    public final static String post_code = CLASS_NAME + "post_code";          // 邮编
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //ip地址
    private String ip;
    //备注说明
    private String remark;
    //ip类型 0：ipv4 1ipv6
    private Integer type;
    //ip对应国家
    private String country;
    //省
    private String province;
    //城市
    private String city;
    //区域名称
    private String area;
    //运营商名称
    private String isp;
    //经度
    private String lat;
    //纬度
    private String lng;
    //县
    private String county;
    //详细地址
    private String address;
    //来源：0：第三方api请求获得 1：用户校正所得 2：自有更正
    private Integer fromType;
    //贡献用户id
    private Long fromUserId;
    //邮编
    private String postCode;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * ip地址 
     * @return
     */
    public String getIp() {
        return ip;
    }
    /**
     * ip地址 
     * @param ip
     */
    public void setIp(String ip) {
        this.ip = ip;
    }

    /**
     * 备注说明 
     * @return
     */
    public String getRemark() {
        return remark;
    }
    /**
     * 备注说明 
     * @param remark
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * ip类型 0：ipv4 1ipv6 
     * @return
     */
    public Integer getType() {
        return type;
    }
    /**
     * ip类型 0：ipv4 1ipv6 
     * @param type
     */
    public void setType(Integer type) {
        this.type = type;
    }

    /**
     * ip对应国家 
     * @return
     */
    public String getCountry() {
        return country;
    }
    /**
     * ip对应国家 
     * @param country
     */
    public void setCountry(String country) {
        this.country = country;
    }

    /**
     * 省 
     * @return
     */
    public String getProvince() {
        return province;
    }
    /**
     * 省 
     * @param province
     */
    public void setProvince(String province) {
        this.province = province;
    }

    /**
     * 城市 
     * @return
     */
    public String getCity() {
        return city;
    }
    /**
     * 城市 
     * @param city
     */
    public void setCity(String city) {
        this.city = city;
    }

    /**
     * 区域名称 
     * @return
     */
    public String getArea() {
        return area;
    }
    /**
     * 区域名称 
     * @param area
     */
    public void setArea(String area) {
        this.area = area;
    }

    /**
     * 运营商名称 
     * @return
     */
    public String getIsp() {
        return isp;
    }
    /**
     * 运营商名称 
     * @param isp
     */
    public void setIsp(String isp) {
        this.isp = isp;
    }

    /**
     * 经度 
     * @return
     */
    public String getLat() {
        return lat;
    }
    /**
     * 经度 
     * @param lat
     */
    public void setLat(String lat) {
        this.lat = lat;
    }

    /**
     * 纬度 
     * @return
     */
    public String getLng() {
        return lng;
    }
    /**
     * 纬度 
     * @param lng
     */
    public void setLng(String lng) {
        this.lng = lng;
    }

    /**
     * 县 
     * @return
     */
    public String getCounty() {
        return county;
    }
    /**
     * 县 
     * @param county
     */
    public void setCounty(String county) {
        this.county = county;
    }

    /**
     * 详细地址 
     * @return
     */
    public String getAddress() {
        return address;
    }
    /**
     * 详细地址 
     * @param address
     */
    public void setAddress(String address) {
        this.address = address;
    }

    /**
     * 来源：0：第三方api请求获得 1：用户校正所得 2：自有更正 
     * @return
     */
    public Integer getFromType() {
        return fromType;
    }
    /**
     * 来源：0：第三方api请求获得 1：用户校正所得 2：自有更正 
     * @param fromType
     */
    public void setFromType(Integer fromType) {
        this.fromType = fromType;
    }

    /**
     * 贡献用户id 
     * @return
     */
    public Long getFromUserId() {
        return fromUserId;
    }
    /**
     * 贡献用户id 
     * @param fromUserId
     */
    public void setFromUserId(Long fromUserId) {
        this.fromUserId = fromUserId;
    }

    /**
     * 邮编 
     * @return
     */
    public String getPostCode() {
        return postCode;
    }
    /**
     * 邮编 
     * @param postCode
     */
    public void setPostCode(String postCode) {
        this.postCode = postCode;
    }

    @Override
    public String toString() {
        return "IpDatabaseEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",ip=" + ip +
                ",remark=" + remark +
                ",type=" + type +
                ",country=" + country +
                ",province=" + province +
                ",city=" + city +
                ",area=" + area +
                ",isp=" + isp +
                ",lat=" + lat +
                ",lng=" + lng +
                ",county=" + county +
                ",address=" + address +
                ",fromType=" + fromType +
                ",fromUserId=" + fromUserId +
                ",postCode=" + postCode +
                "}";
    }
}